> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get team endpoint operating system statistics



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json post /v1/team/statistics/operating-systems
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/team/statistics/operating-systems:
    post:
      tags:
        - Team
      summary: Get team endpoint operating system statistics
      operationId: TeamController_getOperatingSystemStatistics
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TeamStatisticsDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TeamOperatingSystemStatistics'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
        '404':
          description: ''
      security:
        - bearer: []
components:
  schemas:
    TeamStatisticsDto:
      type: object
      properties:
        startDate:
          type: string
          description: Start date (inclusive, ISO8601 string)
        endDate:
          type: string
          description: End date (inclusive, ISO8601 string)
        days:
          type: number
          description: >-
            Number of days for time-based filtering (1-365). Required by most
            endpoints unless startDate/endDate provided.
    TeamOperatingSystemStatistics:
      type: object
      properties:
        operatingSystems:
          description: Operating system distribution statistics
          type: array
          items:
            $ref: '#/components/schemas/TeamStatisticsOperatingSystem'
      required:
        - operatingSystems
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
    TeamStatisticsOperatingSystem:
      type: object
      properties:
        operatingSystem:
          type: string
          description: Operating system name
        count:
          type: number
          description: Count of endpoints with this operating system
      required:
        - operatingSystem
        - count
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````